0

mergeparameters doesn't work any longer

I recently wanted to install a new dsp program to my beocreate, but mergeparameters didn't work any longer. This was the output:

mergeparameters 4way_spdif.xml 4way_spdif.params
Traceback (most recent call last):
  File "/usr/local/lib/python3.9/dist-packages/hifiberrydsp/parser/xmlprofile.py", line 253, in update_metadata
    beometa = self.doc["ROM"]["beometa"]
KeyError: 'beometa'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/bin/mergeparameters", line 28, in <module>
    merge_params_main()
  File "/usr/local/lib/python3.9/dist-packages/hifiberrydsp/parser/sigmaparams.py", line 236, in merge_params_main
    params = pf.merge_params_into_xml(xmlfile)
  File "/usr/local/lib/python3.9/dist-packages/hifiberrydsp/parser/sigmaparams.py", line 190, in merge_params_into_xml
    xml.update_metadata(param_list)
  File "/usr/local/lib/python3.9/dist-packages/hifiberrydsp/parser/xmlprofile.py", line 257, in update_metadata
    self.doc["ROM"].move_to_end('beometa', last=False)
AttributeError: 'dict' object has no attribute 'move_to_end'

0 comments

Please sign in to leave a comment.